GNU bug report logs - #23658
25.1.50; make-network-connection fails to connect to IPv6 address on Windows

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: flitterio@HIDDEN (Francis Litterio); dated Tue, 31 May 2016 00:05:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 5 Jun 2016 18:01:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 14:01:02 2016
Received: from localhost ([127.0.0.1]:55859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b9cMA-0001N2-I6
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2016 14:01:02 -0400
Received: from limerock03.mail.cornell.edu ([128.84.13.243]:48521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1b9cM8-0001Gg-LD
 for 23658 <at> debbugs.gnu.org; Sun, 05 Jun 2016 14:01:00 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite4.serverfarm.cornell.edu
 [10.16.197.9])
 by limerock03.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id u55I0s62013102;
 Sun, 5 Jun 2016 14:00:55 -0400
Received: from [192.168.1.3] (mta-68-175-148-36.twcny.rr.com [68.175.148.36]
 (may be forged)) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id u55I0qON018223
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Sun, 5 Jun 2016 14:00:53 -0400
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Fran <flitterio@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
 <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
 <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
 <778c3c88-8eb0-d54c-e00a-84165f5c63b5@HIDDEN>
 <fa8a955c-1b26-6ad4-0864-606fb3004dc0@HIDDEN>
 <CAGQpP8S=T8gsQTCNgGhgMDwQfNHu4W+b5F9W4OjpWNWX=LgK=w@HIDDEN>
 <80e3e204-afa8-baea-4578-ed818aa25413@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
Message-ID: <a7d87c9a-4636-0410-a538-6e97129859a6@HIDDEN>
Date: Sun, 5 Jun 2016 14:00:51 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.1.1
MIME-Version: 1.0
In-Reply-To: <80e3e204-afa8-baea-4578-ed818aa25413@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-PMX-Cornell-Gauge: Gauge=XXXXX
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 23658
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 23658 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

On 6/5/2016 1:20 PM, Ken Brown wrote:
> OK, my guess was wrong.  I'm out of ideas.  I hope one of the experts
> can help you.

One last thought: Your original report mentioned an error code of 14.  That may be bogus, for the reasons explained in bug#23615.  The following patch might get a more reliable error code, which you could then look up.  (On my system you would look in /usr/include/sys/errno.h.)

diff --git a/src/process.c b/src/process.c
index 9ca3e594..d71c50c 100644
--- a/src/process.c
+++ b/src/process.c
@@ -5492,7 +5492,7 @@ wait_reading_process_output (intmax_t time_limit, int nsecs, int read_kbd,
 
              p = XPROCESS (proc);
 
-#ifdef GNU_LINUX
+#if 1
              /* getsockopt(,,SO_ERROR,,) is said to hang on some systems.
                 So only use it on systems where it is known to work.  */
              {


Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 5 Jun 2016 17:20:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 13:20:28 2016
Received: from localhost ([127.0.0.1]:55774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b9biu-0003Pj-GG
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2016 13:20:28 -0400
Received: from limerock03.mail.cornell.edu ([128.84.13.243]:39541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1b9bit-0003PX-2j
 for 23658 <at> debbugs.gnu.org; Sun, 05 Jun 2016 13:20:27 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite3.serverfarm.cornell.edu
 [10.16.197.8])
 by limerock03.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id u55HKLcY031204;
 Sun, 5 Jun 2016 13:20:21 -0400
Received: from [192.168.1.3] (mta-68-175-148-36.twcny.rr.com [68.175.148.36]
 (may be forged)) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id u55HKJxm027215
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Sun, 5 Jun 2016 13:20:20 -0400
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Fran <flitterio@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
 <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
 <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
 <778c3c88-8eb0-d54c-e00a-84165f5c63b5@HIDDEN>
 <fa8a955c-1b26-6ad4-0864-606fb3004dc0@HIDDEN>
 <CAGQpP8S=T8gsQTCNgGhgMDwQfNHu4W+b5F9W4OjpWNWX=LgK=w@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
Message-ID: <80e3e204-afa8-baea-4578-ed818aa25413@HIDDEN>
Date: Sun, 5 Jun 2016 13:20:18 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.1.1
MIME-Version: 1.0
In-Reply-To: <CAGQpP8S=T8gsQTCNgGhgMDwQfNHu4W+b5F9W4OjpWNWX=LgK=w@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-PMX-Cornell-Gauge: Gauge=XXXXX
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 23658
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 23658 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

On 6/5/2016 12:56 PM, Fran wrote:
> On Thu, Jun 2, 2016 at 10:50 AM, Ken Brown <kbrown@HIDDEN> wrote:
>> On 6/1/2016 5:55 PM, Ken Brown wrote:
>
>> While we're waiting for an expert to respond to this, it's easy to
>> test if my guess is correct.  Please apply the following patch,
>> rebuild, and retry your tests.
>
> [...]
>
>> This will print a message in the echo area (and the *Messages* buffer)
>> on each iteration of the loop.  If my guess is correct, you should see
>> more than one iteration in the IPv6 case if ":nowait t" is removed.
>> It would also be interesting to see if ":family 'ipv6" has any effect,
>> again without ":nowait t".
>
> I did a "git pull", applied that patch, and rebuilt.  I see the
> following in *Messages* no matter if ":nowait t" or ":family 'ipv6" is
> present or absent (I tried all four combinations):
>
>     Trying addrinfo structure 1
>
> I never see that message with the value 2 in it.

OK, my guess was wrong.  I'm out of ideas.  I hope one of the experts 
can help you.

Ken





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 5 Jun 2016 16:56:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 12:56:39 2016
Received: from localhost ([127.0.0.1]:55764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b9bLr-0002sJ-7L
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2016 12:56:39 -0400
Received: from mail-oi0-f43.google.com ([209.85.218.43]:32918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <flitterio@HIDDEN>) id 1b9bLp-0002s6-Oj
 for 23658 <at> debbugs.gnu.org; Sun, 05 Jun 2016 12:56:38 -0400
Received: by mail-oi0-f43.google.com with SMTP id k23so195225006oih.0
 for <23658 <at> debbugs.gnu.org>; Sun, 05 Jun 2016 09:56:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=Vbhgcb8gGI0GPyWCIlbAIho50hBBDGeh/IEGdLKadhE=;
 b=r6YVjeHCXrdMSPr/C4WZI7QmWd+TD/ujSXox4no+JyhnsVoQM/9+rww5MZ7XUoyi1Y
 /RFhvPRuiN0l4DUGdD2FpjuDJfiLWB+8MNl94+amZwCJ3e36xn5yqsRHeXNrm3cS/fTG
 wT4FIF/PlJStHcxrDtwHOm7lfGXS50eK5W2gItlviMkf0M6GuaMC8HVFC2nfgh3EOAgW
 gshg0kwuzBErLUCtSWCiKtGe/9/Uc63oDD5feLpvXH6BxO+LzPFg2cQmiD4T4wMuVmm+
 G6LXhaQjLjtbJb/uJZnG9HNPhTaHf69h+uli563Qo1cfo6CjWrB7ZnCq7jtQgLFIo6/f
 NgzQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=Vbhgcb8gGI0GPyWCIlbAIho50hBBDGeh/IEGdLKadhE=;
 b=U1Ec//L9zC3hhUEv5GsgoWduk9khbk93eEYTyXXuZEk2YGoIanMCm1jPhhVk4e0piZ
 MY0lqqZ7Bbyhk9UwpWvnqi8VpqJzfaH8lLgjI2BKYgoGkIIrphP3Sbt9t8betR/9DHfB
 5i47Yv21HkR1UoZ4FchkadONop2F34oodRC7DJknqMKGgJFUU1amOQ5mJ7FYVqv3zpWf
 BPBNIAJVH6tLLrlRsuNEWk3XRVVRRMDyHa0jJ4mtUn1nt+EHP+ZIIp8dzKQfZ4AeMhi7
 OPMvI9ZmAQqlRipVquwEQAEMY7eZkES+lXPXXDT1VEWQ9P9FoP/0w64aZ0HtJzF5FpMw
 xuCg==
X-Gm-Message-State: ALyK8tJzLJNWBXE3XQV/gALZJaCTEn0QjU5DyW1rV9tbXwizvy3hRnu7UnlcO8J5NI5K4qcdISMwXCic2MWdEg==
X-Received: by 10.202.177.134 with SMTP id a128mr5636377oif.37.1465145792119; 
 Sun, 05 Jun 2016 09:56:32 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.1.232 with HTTP; Sun, 5 Jun 2016 09:56:12 -0700 (PDT)
In-Reply-To: <fa8a955c-1b26-6ad4-0864-606fb3004dc0@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
 <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
 <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
 <778c3c88-8eb0-d54c-e00a-84165f5c63b5@HIDDEN>
 <fa8a955c-1b26-6ad4-0864-606fb3004dc0@HIDDEN>
From: Fran <flitterio@HIDDEN>
Date: Sun, 5 Jun 2016 12:56:12 -0400
Message-ID: <CAGQpP8S=T8gsQTCNgGhgMDwQfNHu4W+b5F9W4OjpWNWX=LgK=w@HIDDEN>
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Ken Brown <kbrown@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23658
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 23658 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Jun 2, 2016 at 10:50 AM, Ken Brown <kbrown@HIDDEN> wrote:
> On 6/1/2016 5:55 PM, Ken Brown wrote:

> While we're waiting for an expert to respond to this, it's easy to
> test if my guess is correct.  Please apply the following patch,
> rebuild, and retry your tests.

[...]

> This will print a message in the echo area (and the *Messages* buffer)
> on each iteration of the loop.  If my guess is correct, you should see
> more than one iteration in the IPv6 case if ":nowait t" is removed.
> It would also be interesting to see if ":family 'ipv6" has any effect,
> again without ":nowait t".

I did a "git pull", applied that patch, and rebuilt.  I see the
following in *Messages* no matter if ":nowait t" or ":family 'ipv6" is
present or absent (I tried all four combinations):

    Trying addrinfo structure 1

I never see that message with the value 2 in it.
--
Fran




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 5 Jun 2016 15:53:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 11:53:23 2016
Received: from localhost ([127.0.0.1]:55750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b9aMd-0001Mh-Q7
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2016 11:53:23 -0400
Received: from mail-oi0-f53.google.com ([209.85.218.53]:36303)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <flitterio@HIDDEN>) id 1b9aMb-0001MS-I5
 for 23658 <at> debbugs.gnu.org; Sun, 05 Jun 2016 11:53:21 -0400
Received: by mail-oi0-f53.google.com with SMTP id j1so193529186oih.3
 for <23658 <at> debbugs.gnu.org>; Sun, 05 Jun 2016 08:53:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=r2ikPLl7ydVwaV8Mi0fxdL70iQn8QZqqkh01be4otpU=;
 b=M0h4cjNwwwoCBl1mr4eyvTrk9Q1H0yuxV9ki1MdiYFJyfcpHYOd/8aVS1Zw9znbQ/S
 X7foZd3UVy49g8n+HIph/YRM44iAaZSQ6MVbJA5Sc2BgFWirFE76wBAU4zsphvRlZ4Kn
 AMJglYBPgSXFzHDNodzEPdpNwz8gSct4TR/j+JmJUJUeGpLDhRJDWA1Bla7ApK7ZDKzD
 yvCpzW8E+7vNAum1vznIuosRfyW65XTc11amBahnjiObF4zg6eFPMTI0hr+PsBzhjHf0
 gcTP+xUY6yXYoWjviOEq8fKpGSbO1KLv4VhIPueYs3pQ8c5kKeL8lXQcJZuDM6st3WbT
 ObuA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=r2ikPLl7ydVwaV8Mi0fxdL70iQn8QZqqkh01be4otpU=;
 b=cnfPkZq1aNGWpGAtjRGbQSLOYMrYHOOpY+7EKPVQb35vmLgfDe/1MHUlTnsxj/D5H7
 XWIC9y3MWxt8f64qRR55yKMeyowi/GKH4/MASeiilS2MiSbBL+59eTsR/MCpEb/8+KRa
 A9LhgdlIVja50OJzPd/crzB2dELulStX6H2eMuuqO9HdK+6cujd+Av80JNdZNRT306Jr
 rgqOjpYz7FF9w53rycfIl5diIXoiJe4vjHqbwdaTn6GA9hUhlL2RDM1T2veUVvwy9Xay
 Z9JGYXTN60LDKhWzSEpJIObOp5jS/JRJivj3v+wo+ktFmGEjb74emsRUOpDnJLp8TPuR
 E8sg==
X-Gm-Message-State: ALyK8tJ5vZSiEfaLSECfT15ggJAV9Rua/6T4sboZ012BJWPjsl7+ALbUBEBZpMIaQ/X3t2a38NpSWa4Zi1so5w==
X-Received: by 10.202.59.7 with SMTP id i7mr2531239oia.65.1465141994833; Sun,
 05 Jun 2016 08:53:14 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.1.232 with HTTP; Sun, 5 Jun 2016 08:52:55 -0700 (PDT)
In-Reply-To: <50945552-8958-3dc2-9160-674a4c4ef339@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
 <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
 <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
 <778c3c88-8eb0-d54c-e00a-84165f5c63b5@HIDDEN>
 <fa8a955c-1b26-6ad4-0864-606fb3004dc0@HIDDEN>
 <loom.20160605T164523-19@HIDDEN>
 <50945552-8958-3dc2-9160-674a4c4ef339@HIDDEN>
From: Fran <flitterio@HIDDEN>
Date: Sun, 5 Jun 2016 11:52:55 -0400
Message-ID: <CAGQpP8SxyP4TGdmn3-yF-qq+_ZrAduGd0QTjv9LfvUK7-29fmw@HIDDEN>
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Ken Brown <kbrown@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23658
Cc: 23658 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sun, Jun 5, 2016 at 11:31 AM, Ken Brown <kbrown@HIDDEN> wrote:
> On 6/5/2016 11:04 AM, Fran Litterio wrote:
>
>> Unfortunately, your patch doesn't apply cleanly.
>
>
> Hi Fran,
>
> It applies cleanly for me to the current git HEAD.  Could you do a 'git
> pull' and try again?  I'm resending the patch as an attachment in case my
> mailer (or yours) messed something up, e.g., by wrapping a long line.

This time it applied cleanly. Rebuilding now. Will update.
--
Fran




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 5 Jun 2016 15:31:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 11:31:34 2016
Received: from localhost ([127.0.0.1]:55712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b9a1W-0000sN-DM
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2016 11:31:34 -0400
Received: from limerock03.mail.cornell.edu ([128.84.13.243]:39886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1b9a1V-0000sC-92
 for 23658 <at> debbugs.gnu.org; Sun, 05 Jun 2016 11:31:33 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite3.serverfarm.cornell.edu
 [10.16.197.8])
 by limerock03.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id u55FVRsS020863;
 Sun, 5 Jun 2016 11:31:27 -0400
Received: from [192.168.1.3] (mta-68-175-148-36.twcny.rr.com [68.175.148.36]
 (may be forged)) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id u55FVQ4A020066
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Sun, 5 Jun 2016 11:31:26 -0400
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Fran Litterio <flitterio@HIDDEN>, 23658 <at> debbugs.gnu.org
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
 <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
 <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
 <778c3c88-8eb0-d54c-e00a-84165f5c63b5@HIDDEN>
 <fa8a955c-1b26-6ad4-0864-606fb3004dc0@HIDDEN>
 <loom.20160605T164523-19@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
Message-ID: <50945552-8958-3dc2-9160-674a4c4ef339@HIDDEN>
Date: Sun, 5 Jun 2016 11:31:24 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.1.1
MIME-Version: 1.0
In-Reply-To: <loom.20160605T164523-19@HIDDEN>
Content-Type: multipart/mixed; boundary="------------970488532AD146CB97AA13AD"
X-PMX-Cornell-Gauge: Gauge=XXXXX
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 23658
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

This is a multi-part message in MIME format.
--------------970488532AD146CB97AA13AD
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit

On 6/5/2016 11:04 AM, Fran Litterio wrote:
> Ken Brown <kbrown <at> cornell.edu> writes:
>
>> While we're waiting for an expert to respond to this, it's
>> easy to test if my guess is correct.  Please apply
>> the following patch, rebuild, and retry your tests.
>
> Hi Ken,
>
> Unfortunately, your patch doesn't apply cleanly.

Hi Fran,

It applies cleanly for me to the current git HEAD.  Could you do a 'git 
pull' and try again?  I'm resending the patch as an attachment in case 
my mailer (or yours) messed something up, e.g., by wrapping a long line.

Ken


--------------970488532AD146CB97AA13AD
Content-Type: text/plain; charset=UTF-8;
 name="process.c.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="process.c.patch"

diff --git a/src/process.c b/src/process.c
index 9ca3e594..30a200f 100644
--- a/src/process.c
+++ b/src/process.c
@@ -3135,6 +3135,7 @@ connect_network_socket (Lisp_Object proc, Lisp_Object addrinfos,
   count1 = SPECPDL_INDEX ();
   s = -1;
 
+  int addrinfo_count = 0;
   while (!NILP (addrinfos))
     {
       Lisp_Object addrinfo = XCAR (addrinfos);
@@ -3142,6 +3143,8 @@ connect_network_socket (Lisp_Object proc, Lisp_Object addrinfos,
       int protocol = XINT (XCAR (addrinfo));
       Lisp_Object ip_address = XCDR (addrinfo);
 
+      message ("Trying addrinfo structure %d", ++addrinfo_count);
+
 #ifdef WINDOWSNT
     retry_connect:
 #endif

--------------970488532AD146CB97AA13AD--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2016 15:05:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 11:05:29 2016
Received: from localhost ([127.0.0.1]:55701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b9ZcD-0000HM-73
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2016 11:05:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9ZcB-0000HA-Dy
 for submit <at> debbugs.gnu.org; Sun, 05 Jun 2016 11:05:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9Zc5-0004AH-52
 for submit <at> debbugs.gnu.org; Sun, 05 Jun 2016 11:05:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34129)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9Zc5-000490-1z
 for submit <at> debbugs.gnu.org; Sun, 05 Jun 2016 11:05:17 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43505)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9Zc2-0008GI-ON
 for bug-gnu-emacs@HIDDEN; Sun, 05 Jun 2016 11:05:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9Zbx-00047G-L8
 for bug-gnu-emacs@HIDDEN; Sun, 05 Jun 2016 11:05:13 -0400
Received: from plane.gmane.org ([80.91.229.3]:42856)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9Zbx-00046b-EZ
 for bug-gnu-emacs@HIDDEN; Sun, 05 Jun 2016 11:05:09 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9Zbu-00069X-5w
 for bug-gnu-emacs@HIDDEN; Sun, 05 Jun 2016 17:05:06 +0200
Received: from 92.sub-70-192-38.myvzw.com ([70.192.38.92])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Sun, 05 Jun 2016 17:05:06 +0200
Received: from flitterio by 92.sub-70-192-38.myvzw.com with local (Gmexim 0.1
 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Sun, 05 Jun 2016 17:05:06 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Fran Litterio <flitterio@HIDDEN>
Subject: Re: bug#23658:
 =?utf-8?b?MjUuMS41MDsJbWFrZS1uZXR3b3JrLWNvbm5lY3Rpb24=?= fails to connect to
 IPv6 address on Windows
Date: Sun, 5 Jun 2016 15:04:56 +0000 (UTC)
Lines: 38
Message-ID: <loom.20160605T164523-19@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
 <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
 <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
 <778c3c88-8eb0-d54c-e00a-84165f5c63b5@HIDDEN>
 <fa8a955c-1b26-6ad4-0864-606fb3004dc0@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: sea.gmane.org
User-Agent: Loom/3.14 (http://gmane.org/)
X-Loom-IP: 70.192.38.92 (Mozilla/5.0 (Windows NT 6.1; WOW64;
 rv:46.0) Gecko/20100101 Firefox/46.0)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.9 (---)

Ken Brown <kbrown <at> cornell.edu> writes:

> While we're waiting for an expert to respond to this, it's
> easy to test if my guess is correct.  Please apply
> the following patch, rebuild, and retry your tests.

Hi Ken,

Unfortunately, your patch doesn't apply cleanly.  My source near
those lines no longer looks like the context in your patch.
In particular, I no longer have a call to connect_network_socket
at line 3142.  I see this commit by Paul Eggert in my source:

commit 918ef71538fd43049496e4370eba63e3096a4933
Author: Paul Eggert <eggert@HIDDEN>
Date:   Mon May 23 08:56:42 2016 -0700

  Don't use only last protocol from getaddrinfo
    
  Problem reported by Ken Brown in:
  http://lists.gnu.org/archive/html/emacs-devel/2016-05/msg00483.html
  * src/process.c (conv_addrinfo_to_lisp): New function.
  (connect_network_socket): Arg is now a list of addrinfos, not
  merely IP addresses.  All uses changed.  Use protocol from
  each addrinfo.
  (Fmake_network_process): Accumulate protocols into addrinfos
  rather than just using the last one found.
  (check_for_dns): Accumulate protocols here, too.
  * src/process.h (struct Lisp_Process): Remove ai_protocol;
  no longer needed.

I built Emacs from source containing that commit, but it didn't fix
the problem.  Let me know if there's any more I can do to help.  I
will leave my local repo in the state where the above commit is
the most recent commit to src/process.c, in case you need me to
try another patch.
--
Fran Litterio





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jun 2016 16:02:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 04 12:02:42 2016
Received: from localhost ([127.0.0.1]:54528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b9E26-0006fQ-Is
	for submit <at> debbugs.gnu.org; Sat, 04 Jun 2016 12:02:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9E22-0006fC-OU
 for submit <at> debbugs.gnu.org; Sat, 04 Jun 2016 12:02:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9E1w-0003vi-W6
 for submit <at> debbugs.gnu.org; Sat, 04 Jun 2016 12:02:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55354)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9E1w-0003vd-Sv
 for submit <at> debbugs.gnu.org; Sat, 04 Jun 2016 12:02:32 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59552)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9E1u-0008JY-H2
 for bug-gnu-emacs@HIDDEN; Sat, 04 Jun 2016 12:02:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9E1p-0003v0-BJ
 for bug-gnu-emacs@HIDDEN; Sat, 04 Jun 2016 12:02:29 -0400
Received: from plane.gmane.org ([80.91.229.3]:48041)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9E1p-0003uo-3q
 for bug-gnu-emacs@HIDDEN; Sat, 04 Jun 2016 12:02:25 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1b9E1h-000131-IN
 for bug-gnu-emacs@HIDDEN; Sat, 04 Jun 2016 18:02:17 +0200
Received: from 143.sub-70-192-8.myvzw.com ([70.192.8.143])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Sat, 04 Jun 2016 18:02:17 +0200
Received: from flitterio by 143.sub-70-192-8.myvzw.com with local (Gmexim 0.1
 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Sat, 04 Jun 2016 18:02:17 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Fran Litterio <flitterio@HIDDEN>
Subject: Re: bug#23658:
 =?utf-8?b?MjUuMS41MDsJbWFrZS1uZXR3b3JrLWNvbm5lY3Rpb24=?= fails to connect to
 IPv6 address on Windows
Date: Sat, 4 Jun 2016 16:01:52 +0000 (UTC)
Lines: 21
Message-ID: <loom.20160604T175932-855@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
 <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
 <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
 <778c3c88-8eb0-d54c-e00a-84165f5c63b5@HIDDEN>
 <fa8a955c-1b26-6ad4-0864-606fb3004dc0@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: sea.gmane.org
User-Agent: Loom/3.14 (http://gmane.org/)
X-Loom-IP: 70.192.8.143 (Mozilla/5.0 (Windows NT 6.1; WOW64;
 rv:46.0) Gecko/20100101 Firefox/46.0)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.9 (---)

Ken Brown <kbrown <at> cornell.edu> writes:

> While we're waiting for an expert to respond to this, it's easy
> to test if my guess is correct.  Please apply
> the following patch, rebuild, and retry your tests.

[snip]

> This will print a message in the echo area (and the *Messages*
> buffer) on each iteration of the loop.  If my guess is correct,
> you should see more than one iteration in the IPv6 case if
> ":nowait t" is removed.  It would also be interesting to see
> if ":family 'ipv6" has any effect, again without ":nowait t".
> 
> Ken

Thanks, Ken.  Sorry to delay on this (work intrudes, as it does).
I'll try this experiment this weekend and report back.
--
Fran Litterio






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 2 Jun 2016 15:02:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 11:02:11 2016
Received: from localhost ([127.0.0.1]:51894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b8U8R-0006ER-3p
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2016 11:02:11 -0400
Received: from limerock02.mail.cornell.edu ([128.84.13.242]:45524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1b8U8P-0006EE-8R
 for 23658 <at> debbugs.gnu.org; Thu, 02 Jun 2016 11:02:09 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite4.serverfarm.cornell.edu
 [10.16.197.9])
 by limerock02.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id u52F1xqh028044;
 Thu, 2 Jun 2016 11:01:59 -0400
Received: from [192.168.1.3] (mta-68-175-148-36.twcny.rr.com [68.175.148.36]
 (may be forged)) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id u52F1vYJ024645
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Thu, 2 Jun 2016 11:01:58 -0400
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Live System User <nyc4bos@HIDDEN>, 23658 <at> debbugs.gnu.org
References: <87h9dc57lj.fsf@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
Message-ID: <8fec6c57-9dca-0c41-0157-dadd76ef58fd@HIDDEN>
Date: Thu, 2 Jun 2016 11:01:56 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.1.1
MIME-Version: 1.0
In-Reply-To: <87h9dc57lj.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-PMX-Cornell-Gauge: Gauge=XXXXX
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 23658
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

On 6/2/2016 4:16 AM, Live System User wrote:
>         I get an Emacs crash (see bug#23669).

Sorry, but I can't reproduce this on my system (Cygwin), and I'm not 
skilled enough to walk you through debugging it.

Maybe someone else can help.

Ken





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 2 Jun 2016 14:50:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 10:50:32 2016
Received: from localhost ([127.0.0.1]:51878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b8TxA-0004KH-Hn
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2016 10:50:32 -0400
Received: from limerock03.mail.cornell.edu ([128.84.13.243]:35201)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1b8Tx8-0004K4-Kn
 for 23658 <at> debbugs.gnu.org; Thu, 02 Jun 2016 10:50:31 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite4.serverfarm.cornell.edu
 [10.16.197.9])
 by limerock03.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id u52EoOpM019731;
 Thu, 2 Jun 2016 10:50:24 -0400
Received: from [192.168.1.3] (mta-68-175-148-36.twcny.rr.com [68.175.148.36]
 (may be forged)) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id u52EoLY4019790
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Thu, 2 Jun 2016 10:50:22 -0400
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Fran <flitterio@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
 <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
 <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
 <778c3c88-8eb0-d54c-e00a-84165f5c63b5@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
Message-ID: <fa8a955c-1b26-6ad4-0864-606fb3004dc0@HIDDEN>
Date: Thu, 2 Jun 2016 10:50:19 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.1.1
MIME-Version: 1.0
In-Reply-To: <778c3c88-8eb0-d54c-e00a-84165f5c63b5@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-PMX-Cornell-Gauge: Gauge=XXXXX
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 23658
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 23658 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

On 6/1/2016 5:55 PM, Ken Brown wrote:
> On 6/1/2016 3:57 PM, Fran wrote:
>> Removing the ":nowait t" makes it connect successfully to the IPv6
>> address. In that case, it works regardless of whether ":family 'ipv6"
>> is present. If this were my personal code that would be a sufficient
>> workaround, but I found this bug in ERC (the Emacs IRC client), and I
>> think it is designed so that make-network-process has to connect
>> asynchronously.
> 
> This sounds similar to the situation I faced in bug#23606.  (But in that
> case specifying :family solved the problem).  Here's what I suspect is
> happening:
> 
> In src/process.c there's a loop starting at line 3138 in which the code
> runs through a list of possible addrinfo structures in the hopes of
> finding one it can connect to.  In the asynchronous case, it doesn't
> wait to see if the connection is successful; this is only discovered
> later (around line 5495).  At this point it's too late to try another
> addrinfo structure, and a "failed" message is generated (line 5523) if
> the connection didn't succeed.

While we're waiting for an expert to respond to this, it's easy to test if my guess is correct.  Please apply the following patch, rebuild, and retry your tests.

diff --git a/src/process.c b/src/process.c
index 9ca3e594..30a200f 100644
--- a/src/process.c
+++ b/src/process.c
@@ -3135,6 +3135,7 @@ connect_network_socket (Lisp_Object proc, Lisp_Object addrinfos,
   count1 = SPECPDL_INDEX ();
   s = -1;
 
+  int addrinfo_count = 0;
   while (!NILP (addrinfos))
     {
       Lisp_Object addrinfo = XCAR (addrinfos);
@@ -3142,6 +3143,8 @@ connect_network_socket (Lisp_Object proc, Lisp_Object addrinfos,
       int protocol = XINT (XCAR (addrinfo));
       Lisp_Object ip_address = XCDR (addrinfo);
 
+      message ("Trying addrinfo structure %d", ++addrinfo_count);
+
 #ifdef WINDOWSNT
     retry_connect:
 #endif

This will print a message in the echo area (and the *Messages* buffer) on each iteration of the loop.  If my guess is correct, you should see more than one iteration in the IPv6 case if ":nowait t" is removed.  It would also be interesting to see if ":family 'ipv6" has any effect, again without ":nowait t".

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 2 Jun 2016 08:16:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 04:16:17 2016
Received: from localhost ([127.0.0.1]:50438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b8Nnd-0001cH-4b
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2016 04:16:17 -0400
Received: from omr-m011e.mx.aol.com ([204.29.186.11]:35691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nyc4bos@HIDDEN>) id 1b8Nnb-0001c2-Kd
 for 23658 <at> debbugs.gnu.org; Thu, 02 Jun 2016 04:16:15 -0400
Received: from mtaout-mca01.mx.aol.com (mtaout-mca01.mx.aol.com
 [172.26.221.77])
 by omr-m011e.mx.aol.com (Outbound Mail Relay) with ESMTP id 25044380008B;
 Thu,  2 Jun 2016 04:16:10 -0400 (EDT)
Received: from localhost.localdomain (c-50-163-96-131.hsd1.ma.comcast.net
 [50.163.96.131]) (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 by mtaout-mca01.mx.aol.com (MUA/Third Party Client Interface) with ESMTPSA id
 B0F1938000081; Thu,  2 Jun 2016 04:16:09 -0400 (EDT)
From: Live System User <nyc4bos@HIDDEN>
To: 23658 <at> debbugs.gnu.org
Subject: bug#23658: 25.1.50;
 make-network-connection fails to connect to IPv6 address on Windows
Date: Thu, 02 Jun 2016 04:16:08 -0400
Message-ID: <87h9dc57lj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
x-aol-global-disposition: G
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mx.aol.com;
 s=20150623; t=1464855370;
 bh=do61X+k7T1q3PsGXh4Z0hVazd6PLEfj0gMUs2QnXroc=;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
 b=vBLWifVtoeBl+WouXnYOZ8asBcko75pLp0iuQhD04R3AxMx9MbWjF2zFp/n6EpQSu
 yls0XTfnNtVpLnVX/KlNX02uEEaw38wHaWNuYDS2g8o25TrkChrzHi0N11A+jmIO80
 TWbIJeFkbtnVAOtoDWQdMDGyKRb8gX1uaY8bsCOQ=
x-aol-sid: 3039ac1add4d574feb496559
X-AOL-IP: 50.163.96.131
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 23658
Cc: Ken Brown <kbrown@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


Hi,

        I get an Emacs crash (see bug#23669).

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 1 Jun 2016 21:55:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 17:55:26 2016
Received: from localhost ([127.0.0.1]:50210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b8E6o-0002Ku-Ay
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2016 17:55:26 -0400
Received: from limerock04.mail.cornell.edu ([128.84.13.244]:50798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1b8E6m-0002Kf-HX
 for 23658 <at> debbugs.gnu.org; Wed, 01 Jun 2016 17:55:24 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite3.serverfarm.cornell.edu
 [10.16.197.8])
 by limerock04.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id u51LtH3i018692;
 Wed, 1 Jun 2016 17:55:17 -0400
Received: from [192.168.1.5] (mta-68-175-148-36.twcny.rr.com [68.175.148.36]
 (may be forged)) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id u51LtFsg007334
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Wed, 1 Jun 2016 17:55:16 -0400
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Fran <flitterio@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
 <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
 <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
Message-ID: <778c3c88-8eb0-d54c-e00a-84165f5c63b5@HIDDEN>
Date: Wed, 1 Jun 2016 17:55:18 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.1.0
MIME-Version: 1.0
In-Reply-To: <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-PMX-Cornell-Gauge: Gauge=XXXXX
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 23658
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 23658 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

On 6/1/2016 3:57 PM, Fran wrote:
> Removing the ":nowait t" makes it connect successfully to the IPv6
> address. In that case, it works regardless of whether ":family 'ipv6"
> is present. If this were my personal code that would be a sufficient
> workaround, but I found this bug in ERC (the Emacs IRC client), and I
> think it is designed so that make-network-process has to connect
> asynchronously.

This sounds similar to the situation I faced in bug#23606.  (But in that 
case specifying :family solved the problem).  Here's what I suspect is 
happening:

In src/process.c there's a loop starting at line 3138 in which the code 
runs through a list of possible addrinfo structures in the hopes of 
finding one it can connect to.  In the asynchronous case, it doesn't 
wait to see if the connection is successful; this is only discovered 
later (around line 5495).  At this point it's too late to try another 
addrinfo structure, and a "failed" message is generated (line 5523) if 
the connection didn't succeed.

I think it would be better if the loop would delay making the connection 
asynchronous (line 3160 or 3171) until it's known that the connection 
has succeeded.

Lars, is there any reason not to do it that way?

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 1 Jun 2016 19:58:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 15:58:10 2016
Received: from localhost ([127.0.0.1]:50185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b8CHJ-0007wA-PG
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2016 15:58:09 -0400
Received: from mail-oi0-f49.google.com ([209.85.218.49]:35131)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <flitterio@HIDDEN>) id 1b8CHI-0007vy-7f
 for 23658 <at> debbugs.gnu.org; Wed, 01 Jun 2016 15:58:08 -0400
Received: by mail-oi0-f49.google.com with SMTP id w184so44908780oiw.2
 for <23658 <at> debbugs.gnu.org>; Wed, 01 Jun 2016 12:58:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=HFGAmLO2xhby97MbmmF1eVN/52TnEWwtwR1qLkrSZHY=;
 b=Vbd9hRc8Qmvws4pNo/vt6bPfsHnDFunXWMi8nEPNbY4b5zB9OvBL5O4+Hwf4flAEcd
 3OBGsF9D0i4usE9VxPYeau74Rho+2w4HMMKeVjZTA/GuAAREK9+QOkWmr9HPvBAbz9kj
 5cjl5nJVr30ISkIxpUqT0rJfBVtEGsVKnZKn4zqjwXnr2bHhJNh1hC0GUb4xR6hsN/i5
 Ri2XSk4mn8DCeN/prICIssOl1gH0mgXcrkK18Me809Pu7nylHoACegXGarwyBcqehmn0
 8cvXxW8HU+kdIGK0FACvh2NkwWdzhusJFeMWKf5661StVr1FTAl1L8OnW3WWZd2vgzmQ
 p7Sg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=HFGAmLO2xhby97MbmmF1eVN/52TnEWwtwR1qLkrSZHY=;
 b=S+bohQGJoizwwUoDfH79khATkz+K/UAASXybu6OUtcD8Zk7fYkC4SlcDaSQE0QH3NR
 Rf39u6v6wez8SvT0i/AG2AxC0ZXp9CQm6PvFWo2g5DX4ewJZC7zoJHaWGnOCZt4HsFGS
 syRDyzsWslmGsGZJT9VucM0AEtvx6PHu0Vbv+LulLZ2N8eqtEai3G50DeYiwPCB5hlXW
 O/RgQ5P73FuP+S9GdkZdVuE4UDyC+QpW3NKlVT43PgSpWs2+JGgmdU87/45fLYwi37X1
 +yOUUdvJvLi3K5+rFIznXq2peF5XTpJdYfeHKM7NCWoxcNLL2JoCP6ATVz5vshdYKPId
 2HjA==
X-Gm-Message-State: ALyK8tLPXL/xjeiZn3RSUfGrMfjoPW+dBZOGxcoezduwurP//KyEkqJtjRBBZ9KjRKTEkMG1z4qMFcmKEx5IFQ==
X-Received: by 10.202.3.135 with SMTP id 129mr21918356oid.91.1464811082457;
 Wed, 01 Jun 2016 12:58:02 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.11.5 with HTTP; Wed, 1 Jun 2016 12:57:42 -0700 (PDT)
In-Reply-To: <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
 <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
From: Fran <flitterio@HIDDEN>
Date: Wed, 1 Jun 2016 15:57:42 -0400
Message-ID: <CAGQpP8QCJw=ma=ps_qr=5STeKoXgxCgDKc9vzfAVSAtVo8+Gyg@HIDDEN>
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Ken Brown <kbrown@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23658
Cc: 23658 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Removing the ":nowait t" makes it connect successfully to the IPv6
address. In that case, it works regardless of whether ":family 'ipv6"
is present. If this were my personal code that would be a sufficient
workaround, but I found this bug in ERC (the Emacs IRC client), and I
think it is designed so that make-network-process has to connect
asynchronously.
--
Fran Litterio


On Wed, Jun 1, 2016 at 12:29 PM, Ken Brown <kbrown@HIDDEN> wrote:
> On 6/1/2016 11:30 AM, Fran wrote:
>>
>> I see the exact same failure with ":family 'ipv6" added to the
>> arguments to make-network-connection (when it's also passed ":host
>> ipv6-host", of course).
>
>
> And what if you remove the ":nowait t"?
>
> Ken
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 1 Jun 2016 16:29:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 12:29:50 2016
Received: from localhost ([127.0.0.1]:50057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b891i-0004iz-MT
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2016 12:29:50 -0400
Received: from limerock01.mail.cornell.edu ([128.84.13.241]:40789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1b891g-0004il-Eu
 for 23658 <at> debbugs.gnu.org; Wed, 01 Jun 2016 12:29:48 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite3.serverfarm.cornell.edu
 [10.16.197.8])
 by limerock01.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id u51GTfBC009113;
 Wed, 1 Jun 2016 12:29:42 -0400
Received: from [192.168.1.5] (mta-68-175-148-36.twcny.rr.com [68.175.148.36]
 (may be forged)) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id u51GTevO006973
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Wed, 1 Jun 2016 12:29:41 -0400
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Fran <flitterio@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
 <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
Message-ID: <36e6ff49-8a24-b973-048f-c27fe58c7f93@HIDDEN>
Date: Wed, 1 Jun 2016 12:29:42 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.1.0
MIME-Version: 1.0
In-Reply-To: <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-PMX-Cornell-Gauge: Gauge=XXXXX
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 23658
Cc: 23658 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

On 6/1/2016 11:30 AM, Fran wrote:
> I see the exact same failure with ":family 'ipv6" added to the
> arguments to make-network-connection (when it's also passed ":host
> ipv6-host", of course).

And what if you remove the ":nowait t"?

Ken





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 1 Jun 2016 15:31:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 11:31:16 2016
Received: from localhost ([127.0.0.1]:50012 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b8871-0001gq-Uk
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2016 11:31:16 -0400
Received: from mail-oi0-f49.google.com ([209.85.218.49]:34488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <flitterio@HIDDEN>) id 1b886z-0001gd-Fk
 for 23658 <at> debbugs.gnu.org; Wed, 01 Jun 2016 11:31:14 -0400
Received: by mail-oi0-f49.google.com with SMTP id e72so33077467oib.1
 for <23658 <at> debbugs.gnu.org>; Wed, 01 Jun 2016 08:31:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=xAbFyuYbnLJGXFURULw6k9IoqSMvDHIaBuODGrRsGqc=;
 b=p2ur8t310jSGO5rrp/yrcJKw7X4CcHSAwJnCoMkr3R/hs83jFOPJIRwnQ0Bc4h7ZFM
 VFmdXU2jGXL1TEa8zQ55pyi2klcOndBaH4QQKri3Lthy/5qBzscFSe3eA23WIA3OsDIe
 of99XCy0Xk1JED7YnV6CLiHCAdotoaFFMW2ZJ92p9vORI4NP4FaWrdr6RoeUB76wvV40
 MSNczxkFYnK8b7j1eEgp44XIY5UxCCNBNkHhaE1pwWXv18SoQw7ZY980KbzAb+FZkiY+
 62+WIqxCRdRq4BKulmcEvJvVeoMi2WmPTxroLXyrh2FaqWdSDKXVho/hYobSO+IP+0CY
 zdzg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=xAbFyuYbnLJGXFURULw6k9IoqSMvDHIaBuODGrRsGqc=;
 b=a666m+7qI/NcaSnz10EH7WNgrPcH13hPCdy+/W96y7L7asAuQ1VaKr2oYy577n5hrs
 jPSxoY4+qS1LDF4yrZcYbcRu8obyU2SOliKV6jiL+Cm8r9zsIVYzWNWrzS8paICqvVUJ
 qu5LTq3cx7GMeaeXKuIDTZu946OZ5rsREvOxayFVebl3e16JTpNQWUDmrtK5Dl/DflVw
 X+OXgezP979JBH5B3Dd3GqQKdRIbk6SUEqrh/VwfTERu3XH7lSbqU5wJbM47k+ytZwQp
 4MWANiiHrgjf1qU+g4dhH3L7ziwvsI1Mm/zsNXB5/4GBuC2yKWuisOdFbuQA5IbR7Wja
 yA8Q==
X-Gm-Message-State: ALyK8tLPAgiOXC306WPy6dHybT1Qrq4rx2ZKMzhLicA1UyTVzy5988SnjWxzGvWyIvDHAHuhQmuucrIpKnrTqQ==
X-Received: by 10.202.77.216 with SMTP id a207mr11074347oib.46.1464795067833; 
 Wed, 01 Jun 2016 08:31:07 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.11.5 with HTTP; Wed, 1 Jun 2016 08:30:48 -0700 (PDT)
In-Reply-To: <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
References: <87d1o3yty2.fsf@HIDDEN>
 <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
From: Fran <flitterio@HIDDEN>
Date: Wed, 1 Jun 2016 11:30:48 -0400
Message-ID: <CAGQpP8SaOFg7yW0qBFAHh_gGBrFkbaMZCxPMNjjAfoaNnefUiQ@HIDDEN>
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Ken Brown <kbrown@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23658
Cc: 23658 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

I see the exact same failure with ":family 'ipv6" added to the
arguments to make-network-connection (when it's also passed ":host
ipv6-host", of course).
--
Fran Litterio

On Wed, Jun 1, 2016 at 10:54 AM, Ken Brown <kbrown@HIDDEN> wrote:
> On 5/30/2016 7:44 PM, Francis Litterio wrote:
>>
>>
>> Using Emacs built from the latest sources (obtained by cloning the Git
>> repo at git://git.savannah.gnu.org/emacs.git), make-network-connection
>> fails when connecting to an IPv6 address from a Windows machine that has
>> an IPv6 address assigned via DHCP.  To reproduce:
>>
>> 1. On Windows 7 SP1 (with all updates installed), launch Emacs using:
>>    emacs.exe -Q
>>
>> 2. Evaluate the following form in the *scratch* buffer:
>>
>>    (progn
>>      (defun my-sentinel (proc event)
>>        (with-current-buffer "*scratch*"
>>          (save-excursion
>>            (goto-char (point-max))
>>            (insert (format "\n>> proc = '%s', status = '%s', event = '%s'"
>>                            proc (process-status proc) event)))))
>>
>>      (defun my-filter (proc str)
>>        (with-current-buffer "*scratch*"
>>          (save-excursion
>>            (goto-char (point-max))
>>            (insert (format "\n>> proc = '%s', status = '%s', str = '%s'"
>>                            proc (process-status proc) str)))))
>>
>>      ;; These IP addresses are both for host rajaniemi.freenode.net.
>>      (let* ((ipv6-host "2001:708:40:2001:a822:baff:fec4:2428")
>>             (ipv4-host "195.148.124.79")
>>             (process (make-network-process :name "zzz"
>>                                            :buffer nil
>>                                            :host ipv6-host
>>                                            ;; :host ipv4-host
>>                                            :service 6667
>>                                            :nowait t)))
>
>
> What happens if you add
>                                            :family 'ipv6
>
> Ken
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at 23658 <at> debbugs.gnu.org:


Received: (at 23658) by debbugs.gnu.org; 1 Jun 2016 14:54:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 10:54:50 2016
Received: from localhost ([127.0.0.1]:49978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b87Xl-0005zR-SH
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2016 10:54:50 -0400
Received: from limerock04.mail.cornell.edu ([128.84.13.244]:60141)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1b87Xk-0005zF-Fj
 for 23658 <at> debbugs.gnu.org; Wed, 01 Jun 2016 10:54:48 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite4.serverfarm.cornell.edu
 [10.16.197.9])
 by limerock04.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id u51EsgZf018404;
 Wed, 1 Jun 2016 10:54:42 -0400
Received: from [192.168.1.5] (mta-68-175-148-36.twcny.rr.com [68.175.148.36]
 (may be forged)) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id u51EsfoQ025131
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Wed, 1 Jun 2016 10:54:41 -0400
Subject: Re: bug#23658: 25.1.50; make-network-connection fails to connect to
 IPv6 address on Windows
To: Francis Litterio <flitterio@HIDDEN>, 23658 <at> debbugs.gnu.org
References: <87d1o3yty2.fsf@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
Message-ID: <240c188a-bfeb-a8f6-2e6d-fe6c90e37072@HIDDEN>
Date: Wed, 1 Jun 2016 10:54:43 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.1.0
MIME-Version: 1.0
In-Reply-To: <87d1o3yty2.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-PMX-Cornell-Gauge: Gauge=XXXXX
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 23658
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

On 5/30/2016 7:44 PM, Francis Litterio wrote:
>
> Using Emacs built from the latest sources (obtained by cloning the Git
> repo at git://git.savannah.gnu.org/emacs.git), make-network-connection
> fails when connecting to an IPv6 address from a Windows machine that has
> an IPv6 address assigned via DHCP.  To reproduce:
>
> 1. On Windows 7 SP1 (with all updates installed), launch Emacs using:
>    emacs.exe -Q
>
> 2. Evaluate the following form in the *scratch* buffer:
>
>    (progn
>      (defun my-sentinel (proc event)
>        (with-current-buffer "*scratch*"
> 	 (save-excursion
> 	   (goto-char (point-max))
> 	   (insert (format "\n>> proc = '%s', status = '%s', event = '%s'"
> 			   proc (process-status proc) event)))))
>
>      (defun my-filter (proc str)
>        (with-current-buffer "*scratch*"
> 	 (save-excursion
> 	   (goto-char (point-max))
> 	   (insert (format "\n>> proc = '%s', status = '%s', str = '%s'"
> 			   proc (process-status proc) str)))))
>
>      ;; These IP addresses are both for host rajaniemi.freenode.net.
>      (let* ((ipv6-host "2001:708:40:2001:a822:baff:fec4:2428")
> 	    (ipv4-host "195.148.124.79")
> 	    (process (make-network-process :name "zzz"
> 					   :buffer nil
> 					   :host ipv6-host
> 					   ;; :host ipv4-host
> 					   :service 6667
> 					   :nowait t)))

What happens if you add
                                            :family 'ipv6

Ken





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 May 2016 00:04:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 30 20:04:17 2016
Received: from localhost ([127.0.0.1]:47895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b7XAO-0005DW-Qy
	for submit <at> debbugs.gnu.org; Mon, 30 May 2016 20:04:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <flitterio@HIDDEN>) id 1b7XAM-0005DF-Ch
 for submit <at> debbugs.gnu.org; Mon, 30 May 2016 20:04:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <flitterio@HIDDEN>) id 1b7XAF-00058h-HX
 for submit <at> debbugs.gnu.org; Mon, 30 May 2016 20:04:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53587)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <flitterio@HIDDEN>) id 1b7XAF-00058a-EN
 for submit <at> debbugs.gnu.org; Mon, 30 May 2016 20:04:07 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48700)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <flitterio@HIDDEN>) id 1b7XAC-0003l4-Pi
 for bug-gnu-emacs@HIDDEN; Mon, 30 May 2016 20:04:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <flitterio@HIDDEN>) id 1b7XAA-000589-7m
 for bug-gnu-emacs@HIDDEN; Mon, 30 May 2016 20:04:03 -0400
Received: from mail-yw0-x235.google.com ([2607:f8b0:4002:c05::235]:33215)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <flitterio@HIDDEN>) id 1b7XAA-000582-1d
 for bug-gnu-emacs@HIDDEN; Mon, 30 May 2016 20:04:02 -0400
Received: by mail-yw0-x235.google.com with SMTP id h19so173986526ywc.0
 for <bug-gnu-emacs@HIDDEN>; Mon, 30 May 2016 17:04:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version;
 bh=B17uZQ2KB1enO2Cl0/HW/ddNL1p7tZNjr17F8TrYm04=;
 b=KV+fWKsPCn4cUwU577rvgTpKDznGEdu+4qjSMGg+blBD655c4KEGLbdHDGkCCO0zB9
 sszb1sWRnBatOnEuAbE3rI1l6oqIWGWDWECPp9/2P2v4yjt+Hk6z70LvDoQrZAHBmmAA
 5CCfc9SbOMHroLQn9MwEXabXdXBPk3BX6X0RibhPaeXsGbkHLTheZjHZVCUhrHa0AAj9
 l8MsWIuuklhrf29S5qbW7J77gJHst7yqZL8P7RctyOEb0T2OM6+XqKBjaI9oZZBq+TMs
 p5eIIN7TZsvkSQ0H6wEKw4OtbpcIyvyuqPb6Qnk0hbqZej4CLxSXl2IBb76QVlkwjI6Z
 uMEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=B17uZQ2KB1enO2Cl0/HW/ddNL1p7tZNjr17F8TrYm04=;
 b=LA+rW2BSaPU1bX4L2CMzq7x6FYez2iOrtG4zhFg/ehcjCt8NJJoMxoCvLwAkfEihaz
 OZ2eAS90UYyetNdXQtQa9bb2kxPI0g2FB1DwFBxzQ3Y2AKraI0FQUcXCFs0KfC4h8wM8
 egcRujJi8BRvZ4q/3wa6AhG6X6trRRPGaOyIWDv27/3X6oV6Pa2ZThIb50I47VrTCjvX
 8npvuJRvpmYva1XgZLksb5xyQod3M1LnYiZjg8HMPhDAFvGaY+7W+k8DU+MTqyTgYidj
 s3DNYEikfF+uZzfIOGqp/9Q+00QdB0ENWEO3QXKckRbGfBNy9T3i0GwGOANBRRHSAlE0
 BbKQ==
X-Gm-Message-State: ALyK8tLE0hwkSdwnDq7zEc1bk+srSdMzLaGrVmaNc+HZ3dLnIqt/17QZplEuzF212FYSZg==
X-Received: by 10.13.227.196 with SMTP id m187mr20477975ywe.18.1464653041210; 
 Mon, 30 May 2016 17:04:01 -0700 (PDT)
Received: from puppy.gmail.com ([2600:1000:b01c:c0a0:d032:3db3:83a4:5c3b])
 by smtp.gmail.com with ESMTPSA id y126sm14892676ywy.47.2016.05.30.17.03.59
 for <bug-gnu-emacs@HIDDEN> (version=TLSv1/SSLv3 cipher=OTHER);
 Mon, 30 May 2016 17:03:59 -0700 (PDT)
From: flitterio@HIDDEN (Francis Litterio)
To: bug-gnu-emacs@HIDDEN
Subject: 25.1.50;
 make-network-connection fails to connect to IPv6 address on Windows
Date: Mon, 30 May 2016 19:44:43 -0400
Message-ID: <87d1o3yty2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Using Emacs built from the latest sources (obtained by cloning the Git
repo at git://git.savannah.gnu.org/emacs.git), make-network-connection
fails when connecting to an IPv6 address from a Windows machine that has
an IPv6 address assigned via DHCP.  To reproduce:

1. On Windows 7 SP1 (with all updates installed), launch Emacs using:
   emacs.exe -Q

2. Evaluate the following form in the *scratch* buffer:

   (progn
     (defun my-sentinel (proc event)
       (with-current-buffer "*scratch*"
	 (save-excursion
	   (goto-char (point-max))
	   (insert (format "\n>> proc = '%s', status = '%s', event = '%s'"
			   proc (process-status proc) event)))))

     (defun my-filter (proc str)
       (with-current-buffer "*scratch*"
	 (save-excursion
	   (goto-char (point-max))
	   (insert (format "\n>> proc = '%s', status = '%s', str = '%s'"
			   proc (process-status proc) str)))))

     ;; These IP addresses are both for host rajaniemi.freenode.net.
     (let* ((ipv6-host "2001:708:40:2001:a822:baff:fec4:2428")
	    (ipv4-host "195.148.124.79")
	    (process (make-network-process :name "zzz"
					   :buffer nil
					   :host ipv6-host
					   ;; :host ipv4-host
					   :service 6667
					   :nowait t)))
       (set-process-sentinel process 'my-sentinel)
       (set-process-filter process 'my-filter)))

3. The following text will appear at the end of the *scratch* buffer
   (inserted by function my-sentinel, above):

    >> proc = 'zzz', status = 'failed', event = 'failed with code 14
    '

4. If you change "ipv6-host" to "ipv4-host" in the call to
   make-network-process, the connection is established successfully, and
   you see the data sent by the IRC server accumulate at the end of the
   *scratch* buffer (inserted by function my-filter, above).

My local system has an IPv6 address, but I'm not sure if that is
required for this problem to happen.
--
Fran Litterio



In GNU Emacs 25.1.50.1 (i686-pc-mingw32)
 of 2016-05-28 built on PUPPY
Repository revision: 549470fdf234acb4da7941e3bb9b28ed63a51876
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Recent messages:
Quit
Mark set
File 'my-erc.el' has changed!  Reload ~/.emacs! [2 times]
Type "q" to delete help window.
C-M-d runs the command my-kill-to-bottom
File 'my-erc.el' has changed!  Reload ~/.emacs!
Making completion list...
report-emacs-bug is on <menu-bar> <help-menu> <send-emacs-bug-report>
funcall-interactively: Beginning of buffer
Making completion list...

Configured using:
 'configure --prefix=/c/apps/emacs --without-x --without-xpm
 --without-png --without-jpeg --without-tiff --without-gif'

Configured features:
SOUND NOTIFY ACL TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: C.ISO-8859-1
  locale-coding-system: cp1252

Major mode: Buffer Menu

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  diff-auto-refine-mode: t
  show-paren-mode: t
  save-place-mode: t
  icomplete-mode: t
  savehist-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow mail-extr emacsbug tabify imenu hippie-exp crm erc-sasl debug
pulse hi-lock eieio-opt speedbar sb-image ezimage dframe find-func
edmacro kmacro jka-compr misearch multi-isearch vc-git filecache
help-fns server sort gnus-draft gnus-agent gnus-srvr nnvirtual nndraft
nnmh gnus-msg gnus-cite canlock gnus-async gnus-score score-mode
gnus-art mm-uu mml2015 mm-view mml-smime smime dig mailcap gnus-cache
gnus-sum fpl-moo fpl-react cl erc-notify erc-truncate erc-log erc-dcc
erc-list erc-menu erc-join erc-ring erc-networks erc-pcomplete erc-track
erc-match erc-button erc-fill erc-stamp erc-netsplit erc-goodies erc
erc-backend erc-compat thingatpt source-safe ediff-merg ediff-wind
ediff-diff ediff-mult ediff-help ediff-init ediff-util ediff grep
sh-script smie executable python tramp-sh json map ielm pp sgml-mode
csharp-mode cc-langs smtpmail sendmail nntp gnus-group gnus-undo
gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc parse-time
gnus-spec gnus-int gnus-range message rfc822 mml mml-sec epa derived epg
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader gnus-win nnoo gnus nnheader subr-x gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums mail-utils mm-util mail-prsvr
wid-edit etags vc vc-dispatcher dired-aux hexl smerge-mode diff-mode
easy-mmode paren man info compile apropos tramp tramp-compat
tramp-loaddefs trampver ucs-normalize format-spec advice saveplace
icomplete xref project savehist browse-url shell pcomplete warnings
arc-mode archive-mode ange-ftp socks network-stream puny nsm starttls
tls gnutls dired dired-loaddefs cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs comint ansi-color
ring calc-ext calc calc-loaddefs calc-macs time-stamp finder-inf package
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote w32notify w32 multi-tty
make-network-process emacs)

Memory information:
((conses 8 662208 66845)
 (symbols 32 46115 1)
 (miscs 32 489 2218)
 (strings 16 116431 18641)
 (string-bytes 1 3446166)
 (vectors 8 83211)
 (vector-slots 4 2033917 82112)
 (floats 8 1062 869)
 (intervals 28 30189 2675)
 (buffers 528 63))




Acknowledgement sent to flitterio@HIDDEN (Francis Litterio):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23658; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 5 Jun 2016 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.